target= q1ndiv q1nmult
#if defined TARGET_q1ndiv
 \title{Un quantificateur et ngation (diviseur)}
#endif
#if defined TARGET_q1nmult
 \title{Un quantificateur et ngation (multiple)}
#endif
\language{fr}
\author{David Doyen}
\email{david.doyen@u-pem.fr}


\text{n=randitem(a,n,p,k)}
\text{A=A}
\text{Laproposition=La proposition}
\text{proposition=proposition}

#if defined TARGET_q1ndiv
\text{i=1}
\text{Stot=wims(values x for x = 1 to 30)}
\text{m0=randitem(18,20,24,28,30)}
\text{Sdiv=pari(divisors(\m0))}
\text{Snondiv=wims(listcomplement \Sdiv in \Stot)}
\text{SS=(\Sdiv)}
\text{SSc=(\Snondiv)}
\text{pprop=\(\n\) n'est pas un diviseur de \(\m0\)}
\text{qqual=un diviseur de \(\m0\)}
#endif
#if defined TARGET_q1nmult
\text{i=1}
\text{Stot=wims(values x for x = 1 to 30)}
\text{m0=randitem(3,4)}
\text{Smult=wims(values \m0*x for x = 1 to 10)}
\text{Smult=wims(listintersect \Smult and \Stot)}
\text{Snonmult=wims(listcomplement \Smult in \Stot)}
\text{SS=(\Smult)}
\text{SSc=(\Snonmult)}
\text{pprop=\(\n\) n'est pas un multiple de \(\m0\)}
\text{qqual=un multiple de \(\m0\)}
#endif

\text{S=wims(declosing \SS[\i])}
\text{Sc=wims(declosing \SSc[\i])}
\text{S=shuffle(\S)}
\text{Sc=shuffle(\Sc)}
\text{prop=\pprop[\i]}
\text{qual=\qqual[\i]}
\text{nA=randint(4..6)}
\text{corr1bis=}

\text{cas=randitem(1,2)}
\if{\cas=1}{
	\text{P=\({\forall \n \in \A,\,}\) \prop}
	\text{corr1=Chaque nombre de l'ensemble \(\A\) n'est pas \qual.}
	\text{corr1bis=Autrement dit, &laquo; Aucun nombre de l'ensemble \(\A\) n'est \qual. &raquo;}
	\text{rep=randitem(1,2)}
	\if{\rep=1}{
		\text{AA=\Sc[1..\nA]}
		\text{corr2=Cette proposition est vraie car \(\AA[1]\) n'est pas \qual, \(\AA[2]\) n'est pas \qual, etc.}
	}{
		\text{nn=randint(1..2)}
		\text{AA=\Sc[1..\nA-\nn],\S[1..\nn]}
		\text{AA=shuffle(\AA)}
		\text{corr2=Cette proposition est fausse car, par exemple, \(\S[1]\) est \qual.}
	}
}
\if{\cas=2}{
	\text{P=\({\exists \n \in \A,\,}\) \prop}
	\text{corr1=Il existe au moins un nombre de l'ensemble \(\A\) qui n'est pas \qual.}
	\text{rep=randitem(1,2)}
	\if{\rep=1}{
		\text{nn=randint(1..2)}
		\text{AA=\Sc[1..\nn],\S[1..\nA-\nn]}
		\text{AA=shuffle(\AA)}
		\text{corr2= Cette proposition est vraie car, par exemple, \(\Sc[1]\) n'est pas \qual.}
	}{
		\text{AA=\S[1..\nA]}
		\text{corr2= Cette proposition est fausse car \(\AA[1]\) est \qual, \(\AA[2]\) est \qual, etc.}
	}
}

\statement{On pose \(\A=\{\AA\}\). \Laproposition suivante est-elle vraie ou fausse ?
<div class="wimscenter">
\P
</div>
Elle est \embed{reply1}.
}

\answer{}{\rep;vraie,fausse}{type=radio}


\feedback{1=1}{<br class="spacer" /><span class="bold" style="color:gray">Correction</span><br/>
Cette \proposition signifie : &laquo; \corr1 &raquo; \corr1bis<br/>
\corr2}
