target= q1op1parineq q1op1multineq
#if defined TARGET_q1op1parineq
 \title{Un quantificateur et et/ou (pair/impair et ingalit)}
#endif
#if defined TARGET_q1op1multineq
 \title{Un quantificateur et et/ou (multiple et ingalit)}
#endif
\language{fr}
\author{David Doyen}
\email{david.doyen@u-pem.fr}


\text{n=randitem(a,n,p,k)}
\text{A=A}
\text{Laproposition=La proposition}
\text{proposition=proposition}

#if defined TARGET_q1op1parineq
\text{Stot=wims(values x for x = 0 to 30)}
\text{Spairs=wims(values 2*x for x = 0 to 15)}
\text{Simpairs=wims(values 2*x+1 for x = 0 to 14)}
\text{n0=randint(12..18)}
\text{Sinf=wims(values x for x = 0 to \n0)}
\text{Sinfstr=wims(values x for x = 0 to \n0-1)}
\text{Ssup=wims(values x for x = \n0 to 30)}
\text{Ssupstr=wims(values x for x = \n0+1 to 30)}
\text{SS=(\Spairs),(\Simpairs),(\Sinf),(\Sinfstr),(\Ssup),(\Ssupstr)}
\text{SSc=(\Simpairs),(\Spairs),(\Ssupstr),(\Ssup),(\Sinfstr),(\Sinf)}
\text{pprop=\(\n\) est pair,\(\n\) est impair,\(\n \leq \n0\),\({\n < \n0}\),\(\n \geq \n0\),\({\n > \n0}\)}
\text{qqual=pair,impair,infrieur ou gal  \(\n0\),strictement infrieur  \(\n0\),suprieur ou gal  \(\n0\), strictement suprieur  \(\n0\)}
\text{l1=1,2}
\text{l2=3,4,5,6}
#endif
#if defined TARGET_q1op1multineq
\text{ntot=60}
\text{Stot=wims(values x for x = 1 to \ntot)}
\text{m0=randitem(3,4)}
\text{Smult=wims(values \m0*x for x = 1 to 20)}
\text{Smult=wims(listintersect \Smult and \Stot)}
\text{Snonmult=wims(listcomplement \Smult in \Stot)}
\text{n0=randint(25..35)}
\text{Sinf=wims(values x for x = 1 to \n0)}
\text{Sinfstr=wims(values x for x = 1 to \n0-1)}
\text{Ssup=wims(values x for x = \n0 to \ntot)}
\text{Ssupstr=wims(values x for x = \n0+1 to \ntot)}
\text{SS=(\Smult),(\Sinf),(\Sinfstr),(\Ssup),(\Ssupstr)}
\text{SSc=(\Snonmult),(\Ssupstr),(\Ssup),(\Sinfstr),(\Sinf)}
\text{pprop=\(\n\) est un multiple de \(\m0\),\(\n \leq \n0\),\({\n < \n0}\),\(\n \geq \n0\),\({\n > \n0}\)}
\text{qqual=un multiple de \(\m0\),infrieur ou gal  \(\n0\),strictement infrieur  \(\n0\),suprieur ou gal  \(\n0\), strictement suprieur  \(\n0\)}
\text{l1=1}
\text{l2=2,3,4,5}
#endif

\if{1=randint(1..2)}{
\text{i1=randitem(\l1)}
\text{i2=randitem(\l2)}
}{
\text{i1=randitem(\l2)}
\text{i2=randitem(\l1)}
}

\text{S1=wims(declosing \SS[\i1])}
\text{Sc1=wims(declosing \SSc[\i1])}
\text{S1=shuffle(\S1)}
\text{Sc1=shuffle(\Sc1)}
\text{prop1=\pprop[\i1]}
\text{qual1=\qqual[\i1]}


\text{S2=wims(declosing \SS[\i2])}
\text{Sc2=wims(declosing \SSc[\i2])}
\text{S2=shuffle(\S2)}
\text{Sc2=shuffle(\Sc2)}
\text{prop2=\pprop[\i2]}
\text{qual2=\qqual[\i2]}


\text{S1etS2=wims(listintersect \S1 and \S2)}
\text{S1etS2c=wims(listcomplement \S1etS2 in \Stot)}
\text{S1ouS2=wims(listunion \S1 and \S2)}
\text{S1ouS2c=wims(listcomplement \S1ouS2 in \Stot)}

\text{S1etS2=shuffle(\S1etS2)}
\text{S1etS2c=shuffle(\S1etS2c)}
\text{S1ouS2=shuffle(\S1ouS2)}
\text{S1ouS2c=shuffle(\S1ouS2c)}

\text{nA=randint(4..6)}

\text{cas=randint(1..4)}

\if{\cas=1}{
	\text{P=\({\forall \n \in \A,\,}\) \prop1 et \prop2}
	\text{corr1=Chaque nombre de l'ensemble \(\A\) est \qual1 et est \qual2.}
	\text{rep=randitem(1,2)}
	\if{\rep=1}{
		\text{AA=\S1etS2[1..\nA]}
		\text{corr2=Cette proposition est vraie car \(\AA[1]\) est \qual1 et est \qual2, \(\AA[2]\) est \qual1 et est \qual2, etc.}
	}{
		\text{nn=randint(1..2)}
		\text{AA=\S1etS2[1..\nA-\nSc],\S1etS2c[1..\nn]}
		\text{AA=shuffle(\AA)}
		\text{aa=\S1etS2c[1]}
		\text{corr2=Cette proposition est fausse car, par exemple, \(\aa\) n'est ni \qual1 ni \qual2.}
	}
}


\if{\cas=2}{
	\text{P=\({\forall \n \in \A,\,}\) \prop1 ou \prop2}
	\text{corr1=Chaque nombre de l'ensemble \(\A\) est \qual1 ou est \qual2 (c'est--dire qu'il est soit \qual1, soit \qual2, soit les deux).}
	\text{rep=randitem(1,2)}
	\if{\rep=1}{
		\text{AA=\S1ouS2[1..\nA]}
		\text{aa=\AA[1]}
		\if{\aa isitemof \S1}{\text{qualaa=\qual1}}{\text{qualaa=\qual2}}
		\text{corr2=Cette proposition est vraie car \aa est \qualaa}
		\for{i=2 to \nA}{
			\text{aa=\AA[\i]}
			\if{\aa isitemof \S1}{\text{qualaa=\qual1}}{\text{qualaa=\qual2}}
			\text{corr2=\corr2, \aa est \qualaa}
		}
		text{corr2=\corr2.}
	}{
		\text{nn=randint(1..2)}
		\text{AA=\S1ouS2c[1..\nn],\S1ouS2[1..\nA-\nn]}
		\text{AA=shuffle(\AA)}
		\text{corr2=Cette proposition est fausse car, par exemple, \(\S1ouS2c[1]\) n'est ni \qual1 ni \qual2.}
	}
}

\if{\cas=3}{
	\text{P=\({\exists \n \in \A,\,}\) \prop1 et \prop2}
	\text{corr1=Il existe un nombre de l'ensemble \(\A\) qui est \qual1 et qui est \qual2.}
	\text{rep=randitem(1,2)}
	\if{\rep=1}{
		\text{nn=randint(1..2)}
		\text{AA=\S1etS2[1..\nn],\S1etS2c[1..\nA-\nn]}
		\text{AA=shuffle(\AA)}
		\text{corr2=Cette proposition est vraie car, par exemple, \(\S1etS2[1]\) est \qual1 et est \qual2.}
	}{
		\text{AA=\S1etS2c[1..\nA]}
		\text{aa=\AA[1]}
		\if{\aa isitemof \Sc1}{\text{qualaa=\qual1}}{\text{qualaa=\qual2}}
		\text{corr2=Cette proposition est fausse car \aa n'est pas \qualaa}
		\for{i=2 to \nA}{
			\text{aa=\AA[\i]}
			\if{\aa isitemof \Sc1}{\text{qualaa=\qual1}}{\text{qualaa=\qual2}}
			\text{corr2=\corr2, \aa n'est pas \qualaa}
		}
		text{corr2=\corr2.}	
	}
}


\if{\cas=4}{
	\text{P=\({\exists \n \in \A,\,}\) \prop1 ou \prop2}
	\text{corr1=Il existe un nombre de l'ensemble \(\A\) qui est \qual1 ou qui est \qual2 (c'est--dire qu'il est soit \qual1, soit \qual2, soit les deux).}
	\text{rep=randitem(1,2)}
	\if{\rep=1}{
		\text{nn=randint(1..2)}
		\text{AA=\S1ouS2[1..\nn],\S1ouS2c[1..\nA-\nn]}
		\text{AA=shuffle(\AA)}
		\text{aa=\S1ouS2[1]}
		\if{\aa isitemof \S1}{\text{qualaa=\qual1}}{\text{qualaa=\qual2}}
		\text{corr2= Cette proposition est vraie car, par exemple, \(\aa\) est \qualaa.}
	}{
		\text{AA=\S1ouS2c[1..\nA]}
		\text{corr2= Cette proposition est fausse car \(\AA[1]\) n'est ni \qual1 ni \qual2, \(\AA[2]\) n'est ni \qual1 ni \qual2, etc.}
	}
}


\statement{On pose \(\A=\{\AA\}\). \Laproposition suivante est-elle vraie ou fausse ?
<div class="wimscenter">
\P
</div>
Elle est \embed{reply1}.
}

\answer{}{\rep;vraie,fausse}{type=radio}


\feedback{1=1}{<br class="spacer" /><span class="bold" style="color:gray">Correction</span><br/>
Cette \proposition signifie : &laquo; \corr1 &raquo; <br/>
\corr2}
