target= q1par q1ineq q1dist q1div q1mult
#if defined TARGET_q1par
 \title{Un quantificateur (pair/impair)}
#endif
#if defined TARGET_q1ineq
 \title{Un quantificateur (ingalit)}
#endif
#if defined TARGET_q1dist
 \title{Un quantificateur (distance)}
#endif
#if defined TARGET_q1div
 \title{Un quantificateur (diviseur)}
#endif
#if defined TARGET_q1mult
 \title{Un quantificateur (multiple)}
#endif
\language{fr}
\author{David Doyen}
\email{david.doyen@u-pem.fr}


\text{n=randitem(a,n,p,k)}
\text{A=A}
\text{B=B}
\text{Laproposition=La proposition}
\text{proposition=proposition}

#if defined TARGET_q1par
\text{i=randint(1..2)}
\text{Spairs=wims(values 2*x for x = 0 to 15)}
\text{Simpairs=wims(values 2*x+1 for x = 0 to 14)}
\text{SS=(\Spairs),(\Simpairs)}
\text{SSc=(\Simpairs),(\Spairs)}
\text{pprop=\(\n\) est pair,\(\n\) est impair}
\text{qqual=pair,impair}
#endif
#if defined TARGET_q1ineq
\text{i=randint(1..4)}
\text{n0=randint(8..22)}
\text{Sinf=wims(values x for x = 0 to \n0)}
\text{Sinfstr=wims(values x for x = 0 to \n0-1)}
\text{Ssup=wims(values x for x = \n0 to 30)}
\text{Ssupstr=wims(values x for x = \n0+1 to 30)}
\text{SS=(\Sinf),(\Sinfstr),(\Ssup),(\Ssupstr)}
\text{SSc=(\Ssupstr),(\Ssup),(\Sinfstr),(\Sinf)}
\text{pprop=\(\n \leq \n0\),\({\n < \n0}\),\(\n \geq \n0\),\({\n > \n0}\)}
\text{qqual=infrieur ou gal  \(\n0\),strictement infrieur  \(\n0\),suprieur ou gal  \(\n0\),strictement suprieur  \(\n0\)}
#endif
#if defined TARGET_q1dist
\text{i=randint(1..4)}
\text{d0=randint(4..6)}
\text{n0=randint(6..24)}
\text{Stot=wims(values x for x = 0 to 30)}
\text{Sinf=wims(values x for x = \n0-\d0 to \n0+\d0)}
\text{Sinfstr=wims(values x for x = \n0-\d0+1 to \n0+\d0-1)}
\text{Ssup=wims(listcomplement \Sinfstr in \Stot)}
\text{Ssupstr=wims(listcomplement \Sinf in \Stot)}
\text{SS=(\Sinf),(\Sinfstr),(\Ssup),(\Ssupstr)}
\text{SSc=(\Ssupstr),(\Ssup),(\Sinfstr),(\Sinf)}
\text{pprop=\(\mid \n-\n0 \mid \leq \d0\),\({\mid \n-\n0 \mid < \d0}\),\( \mid \n-\n0 \mid \geq \d0\),\({\mid \n-\n0 \mid > \d0}\)}
\text{qqual= une distance infrieure ou gale  \(\d0\) de \(\n0\), une distance strictement infrieure  \(\d0\) de \(\n0\), une distance suprieure ou gale  \(\d0\) de \(\n0\), une distance strictement suprieure  \(\d0\) de \(\n0\)}
#endif
#if defined TARGET_q1div
\text{i=1}
\text{Stot=wims(values x for x = 1 to 30)}
\text{m0=randitem(18,20,24,28,30)}
\text{Sdiv=pari(divisors(\m0))}
\text{Snondiv=wims(listcomplement \Sdiv in \Stot)}
\text{SS=(\Sdiv)}
\text{SSc=(\Snondiv)}
\text{pprop=\(\n\) est un diviseur de \(\m0\)}
\text{qqual=un diviseur de \(\m0\)}
#endif
#if defined TARGET_q1mult
\text{i=1}
\text{Stot=wims(values x for x = 1 to 30)}
\text{m0=randitem(3,4)}
\text{Smult=wims(values \m0*x for x = 1 to 10)}
\text{Smult=wims(listintersect \Smult and \Stot)}
\text{Snonmult=wims(listcomplement \Smult in \Stot)}
\text{SS=(\Smult)}
\text{SSc=(\Snonmult)}
\text{pprop=\(\n\) un multiple de \(\m0\)}
\text{qqual=un multiple de \(\m0\)}
#endif

\text{S=wims(declosing \SS[\i])}
\text{Sc=wims(declosing \SSc[\i])}
\text{S=shuffle(\S)}
\text{Sc=shuffle(\Sc)}
\text{prop=\pprop[\i]}
\text{qual=\qqual[\i]}
\text{nA=randint(4..6)}
\text{cas2=randitem(1,2)}


\if{\cas2=1}{
	\text{P=\({\forall \n \in \A,\,}\) \prop}
	\text{corr1=Chaque nombre de l'ensemble \(\A\) est \qual.}
	\text{rep=randitem(1,2)}
	\if{\rep=1}{
		\text{AA=\S[1..\nA]}
		\text{corr2=Cette proposition est vraie car \(\AA[1]\) est \qual, \(\AA[2]\) est \qual, etc.}
	}{
		\text{nn=randint(1..2)}
		\text{AA=\S[1..\nA-\nn],\Sc[1..\nn]}
		\text{AA=shuffle(\AA)}
		\text{corr2=Cette proposition est fausse car, par exemple, \(\Sc[1]\) n'est pas \qual.}
	}
}
\if{\cas2=2}{
	\text{P=\({\exists \n \in \A,\,}\) \prop}
	\text{corr1=Il existe au moins un nombre de l'ensemble \(\A\) qui est \qual.}
	\text{rep=randitem(1,2)}
	\if{\rep=1}{
		\text{nn=randint(1..2)}
		\text{AA=\S[1..\nn],\Sc[1..\nA-\nn]}
		\text{AA=shuffle(\AA)}
		\text{corr2= Cette proposition est vraie car, par exemple, \(\S[1]\) est \qual.}
	}{
		\text{AA=\Sc[1..\nA]}
		\text{corr2= Cette proposition est fausse car \(\AA[1]\) n'est pas \qual, \(\AA[2]\) n'est pas \qual, etc.}
	}
}


\statement{On pose \(\A=\{\AA\}\). \Laproposition suivante est-elle vraie ou fausse ?
<div class="wimscenter">
\P
</div>
Elle est \embed{reply1}.
}

\answer{}{\rep;vraie,fausse}{type=radio}


\feedback{1=1}{<br class="spacer" /><span class="bold" style="color:gray">Correction</span><br/>
Cette \proposition signifie : &laquo; \corr1 &raquo;<br/>
\corr2}
